Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class DefaultRDFUntypedResource

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultRDFUntypedResource

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, RDFUntypedResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public class DefaultRDFUntypedResource

extends DefaultRDFIndividual
implements RDFUntypedResource

The default implementation of RDFUntypedResource.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`DefaultRDFUntypedResource()`
`DefaultRDFUntypedResource(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.
`Icon` | `getIcon()`
`String` | `getLocalName()` Gets the local part of the full URI (name) of this resource.
`String` | `getNamespace()` Gets the namespace of this resource.
`String` | `getNamespacePrefix()` Gets the prefix of the namespace, i.e.
`String` | `getURI()` Gets the full URI of this resource.

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, equalsStructurally, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getName, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Constructor Detail

### DefaultRDFUntypedResource

    public DefaultRDFUntypedResource(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                     edu.stanford.smi.protege.model.FrameID id)

### DefaultRDFUntypedResource

    public DefaultRDFUntypedResource()

Method Detail

### accept

    public void accept(OWLModelVisitor visitor)

  Description copied from interface: `Visitable`
  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `DefaultRDFIndividual`
  Parameters:
    `visitor` - The visitor that will operate on this object.

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getIcon` in interface `ProtegeInstance`
  Overrides:
    `getIcon` in class `DefaultRDFIndividual`
  See Also:
    `ProtegeUI.getIcon(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getLocalName

    public String getLocalName()

  Description copied from interface: `RDFResource`
  Gets the local part of the full URI (name) of this resource. For example, for "owl:Class" this would return "Class".

  Specified by:
    `getLocalName` in interface `RDFResource`
  Overrides:
    `getLocalName` in class `DefaultRDFIndividual`
  Returns:
    the part of the name after #

### getNamespace

    public String getNamespace()

  Description copied from interface: `RDFResource`
  Gets the namespace of this resource. This is the URI up to before the #

  Specified by:
    `getNamespace` in interface `RDFResource`
  Overrides:
    `getNamespace` in class `DefaultRDFIndividual`
  Returns:
    the namespace

### getNamespacePrefix

    public String getNamespacePrefix()

  Description copied from interface: `RDFResource`
  Gets the prefix of the namespace, i.e. the abbreviated name of the namespace.

  Specified by:
    `getNamespacePrefix` in interface `RDFResource`
  Overrides:
    `getNamespacePrefix` in class `DefaultRDFIndividual`
  Returns:
    the prefix, e.g. "owl" or "protege"

### getURI

    public String getURI()

  Description copied from interface: `RDFResource`
  Gets the full URI of this resource. This is typically of the form `http://www.mydomain.org/myontology#Name`

  Specified by:
    `getURI` in interface `RDFResource`
  Overrides:
    `getURI` in class `DefaultRDFIndividual`
  Returns:
    the URI

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.